%global bundle org.apache.felix.eventadmin

Name:          felix-eventadmin
Version:       1.2.12
%define        subrel 1
Release:       %mkrel 4
Summary:       Apache Felix EventAdmin
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
# http://repo1.maven.org/maven2/org/apache/felix/org.apache.felix.eventadmin/1.2.12/
Source0:       http://www.apache.org/dist/felix/%{bundle}-1.2.12-source-release.tar.gz

Patch0:        felix-eventadmin-1.2.12-pom.patch

BuildRequires: felix-parent 
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: concurrent
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: felix-log
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-local

BuildRequires: maven-plugin-bundle

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      felix-log

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This bundle provides an implementation of the OSGi R4 EventAdmin service.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java 
Requires:      jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%patch0 -p0
# felix-parent >= 2.x
sed -i "s|<version>2</version>|<version>2</version>|" pom.xml
# maven-bundle-plugin
sed -i "s|<version>2.3.4|<version>2.0.0|" pom.xml

sed -i "s|pom.groupId|project.groupId|" pom.xml
sed -i "s|pom.artifactId|project.artifactId|" pom.xml

%build

mvn-rpmbuild -e install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.2.12-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.2.12-4.mga4
+ Revision: 504441
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.12-2.mga3
+ Revision: 350110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 13 2011 gil <gil> 1.2.12-1.mga2
+ Revision: 167328
- imported package felix-eventadmin

